Mint 19 - Systemback 1.9.3 делает битые образы.

Программы для конфигурации и управления операционной системой
Правила форума
Как правильно задавать вопросы Правильно сформулированный вопрос и его грамотное оформление способствует высокой вероятности получения достаточно содержательного и по существу ответа. Общая рекомендация по составлению тем: 1. Версия ОС вместе с разрядностью. Пример: LM 18.1 x64, LM Sarah x32 2. DE. Если вопрос касается двух, то через запятую. (xfce, KDE, cinnamon, mate) 3. Какое железо. (достаточно вывод inxi -Fxz в спойлере (как пользоваться спойлером смотрим здесь)) или же дать ссылку на hw-probe 4. Суть. Желательно с выводом консоли, логами. 5. Скрин. Просьба указывать 1, 2 и 3 независимо от того, имеет ли это отношение к вопросу или нет. Так же не забываем об общих правилах Как пример вот

Автор темы
dj--alex
Сообщения: 2
Зарегистрирован: 30 сен 2018, 09:09

Mint 19 - Systemback 1.9.3 делает битые образы.

Сообщение dj--alex » 30 сен 2018, 09:11

Есть такая архиполезная программа когда нужно чуток переделать дистрибутив для разных задачи или определённых групп пользователей.
А самое главное можно дать чайнику образ и он сам сможет его использовать.
Мало того она не только может делать рабочий ISO файл, но и есть функционал точек отката системы.

Так вот в Минт 19 по аналогии с предыдущими всеми линукс минт есть проблема
Все операции проводились на чистой голой системе Минт 19 Мате х64 с официального образа.

Программу установить можно, однако работать она не будет.
Точнее из за пакета "каспер" будет генерировать битые образы, т.к. каспер в Минт 19 слишком новый
собственно вот проблема по зависимостям которую не могу решить,
прошу может кто знает что сделать?
casper зависит от libplymouth2 (>= 0.8.0~-13~ppa1), однако

Если каспера не установить будет вот это в каждом созданном ISO образе вместо даже загрузки системы
(initramfs) /cow format specified as aufs and no support found.



А установка старого выдаёт эту ошибку
user@PC1:/media/user/F/Work/ISOLinux4Home/cow format$ sudo dpkg -i *.deb
[sudo] password for user: 
Выбор ранее не выбранного пакета casper.
(Чтение базы данных … на данный момент установлено 254626 файлов и каталогов.)
Подготовка к распаковке casper_1.340_amd64.deb …
Распаковывается casper (1.340) …
Выбор ранее не выбранного пакета lupin-casper.
Подготовка к распаковке lupin-casper_0.55_all.deb …
Распаковывается lupin-casper (0.55) …
Подготовка к распаковке ubiquity-casper_1.340_all.deb …
Распаковывается ubiquity-casper (1.340) на замену (1.340) …
dpkg: зависимости пакетов не позволяют настроить пакет casper:
 casper зависит от libplymouth2 (>= 0.8.0~-13~ppa1), однако:
  Пакет libplymouth2 не установлен.
 localechooser-data (2.71ubuntu3) ломает casper (<< 1.361) и установлен.
  Версия casper, которая будет настроена: 1.340.

dpkg: ошибка при обработке пакета casper (--install):
 проблемы зависимостей — оставляем не настроенным
dpkg: зависимости пакетов не позволяют настроить пакет lupin-casper:
 lupin-casper зависит от casper (>= 0.98), однако:
  Пакет casper пока не настроен.

dpkg: ошибка при обработке пакета lupin-casper (--install):
 проблемы зависимостей — оставляем не настроенным
Настраивается пакет ubiquity-casper (1.340) …
Обрабатываются триггеры для man-db (2.8.3-2) …
Обрабатываются триггеры для systemd (237-3ubuntu10.3) …
Обрабатываются триггеры для ureadahead (0.100.0-20) …
При обработке следующих пакетов произошли ошибки:
 casper
 lupin-casper
Другие 2 пакеты отмечаюся зелёным цветом и не отмечаются как ошибка.

Каспер и люпин каспер можно скачать тут
https://yadi.sk/d/xtw39iXdA0nyVQ

Есть исходные коды программы, но я ничего в них не понимаю, я пишу на луа и пхп. а не на С
https://francoconidi.it/systemback-1-9- ... -10-18-04/
на всякий случай задублирую ссылку на программу
https://yadi.sk/d/C4rFX4E1t3taRw
и исходники
https://yadi.sk/d/16nOBEr90R6oeg

Программа является "брошенной", т.е оригинальный автор не поддерживает программу, а новый автор не знает о существовании Linux Mint 19
И гарантирует поддержку только для Debian 9 i Ubuntu 18.04.

Аналоги есть но они точно также почти не развиваются и имеют примерно такие же болезни которые не исправлены авторами.

Я оставлю конечно сообщение и новому автору тоже
 ! Сообщение из: darkfenix
Внимательно прочитать Панель форматирования текста в темах/ответах

Аватара пользователя

darkfenix
Сообщения: 5393
Зарегистрирован: 27 июн 2017, 10:36
Решено: 61
Откуда: Нижний Тагил
Благодарил (а): 295 раз
Поблагодарили: 996 раз

Mint 19 - Systemback 1.9.3 делает битые образы.

Сообщение darkfenix » 30 сен 2018, 09:46

dj--alex писал(а):
30 сен 2018, 09:11
а новый автор не знает о существовании Linux Mint 19
И гарантирует поддержку только для Debian 9 i Ubuntu 18.04.
Как-то не вяжется. LM19 сделана на основе Ubuntu 18.04.

Да и на форуме уже обсуждали systemback. Воспользуйся поискомю
Изображение


Автор темы
dj--alex
Сообщения: 2
Зарегистрирован: 30 сен 2018, 09:09

Mint 19 - Systemback 1.9.3 делает битые образы.

Сообщение dj--alex » 30 сен 2018, 09:54

если бы оно работало я бы не писал это сообщение
и не мучался бы уже 11 дней с этой фигнёй.

Руководство по которому работал:
https://linuxthebest.net/systemback-v-linux-mint-18/

Спасибо, я был уверен что Live-boot не заменит каспера, т.к на предыдущей версии это не помогло

Решение значит такое: sudo apt-get install live-boot
Образ действительно стал работать с live-boot вместо Casper, спасибо!
Однако установленная операционная система с образа завелась только на одном из компьютеров
На другом я вижу чёрный экран после установки.
Компьютеры почти идентичные и железо почти одинаковое - разница только в том что на одном из них АМ3, на другом АМ4.

Аватара пользователя

Unborn
Сообщения: 1778
Зарегистрирован: 03 сен 2016, 10:36
Решено: 24
Благодарил (а): 4 раза
Поблагодарили: 253 раза

Mint 19 - Systemback 1.9.3 делает битые образы.

Сообщение Unborn » 04 окт 2018, 10:42

dj--alex писал(а):
30 сен 2018, 09:54
Однако установленная операционная система с образа завелась только на одном из компьютеров
На другом я вижу чёрный экран после установки.
Компьютеры почти идентичные и железо почти одинаковое - разница только в том что на одном из них АМ3, на другом АМ4.
Нужно понимать, что вы восстанавливаете ОС из бэкапа. И не обязательно все должно и обязано работать на другом железе.
Все эти софтины делают частный бэкап на определенном железе, а не установочный образ, и бэкап не предназначен для использования везде и всюду. Он делается только для себя любимого.
dj--alex писал(а):
30 сен 2018, 09:11
Программа является "брошенной", т.е оригинальный автор не поддерживает программу, а новый автор не знает о существовании Linux Mint 19
Потому что когда автор был молодой и глупый, ему было интересно. Потом пришло понимание, что бэкапить нужно данные, а не ОС, которая постоянно обновляется вместе с прикладным ПО. И в момент создания бэкапа, он уже может быть не актуальным, потому что пришли обновления ОС или ПО.
А профессиональным тестерам такие программы - как собаке пятая лапа.

Аватара пользователя

Mitai
Сообщения: 113
Зарегистрирован: 26 фев 2017, 12:46
Откуда: планета Земля
Благодарил (а): 7 раз
Поблагодарили: 1 раз

Mint 19 - Systemback 1.9.3 делает битые образы.

Сообщение Mitai » 06 апр 2019, 08:46

dj--alex писал(а):
30 сен 2018, 09:54
Спасибо, я был уверен что Live-boot не заменит каспера, т.к на предыдущей версии это не помогло
как думаете на lmde 3 это поможет? образы создаются и с них можно загрузиться, но вот установить систему или отремонтировать не удается, все время крашится с ошибкой что произошли критические изменения и дальше продолжать не возможно

Вернуться в «Системные утилиты»